ApiRole (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiRole

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiRole

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiRole
      extends Object

  A role represents a specific entity that participate in a service. Examples are JobTrackers, DataNodes, HBase Masters. Each role is assigned a host where it runs on.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiRole()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiRole` | `addHealthChecksItem(ApiHealthCheck healthChecksItem)`
    `ApiRole` | `addMaintenanceOwnersItem(ApiEntityType maintenanceOwnersItem)`
    `ApiRole` | `addTagsItem(ApiEntityTag tagsItem)`
    `ApiRole` | `commissionState(ApiCommissionState commissionState)`
    `ApiRole` | `config(ApiConfigList config)`
    `ApiRole` | `configStale(Boolean configStale)`
    `ApiRole` | `configStalenessStatus(ApiConfigStalenessStatus configStalenessStatus)`
    `ApiRole` | `entityStatus(ApiEntityStatus entityStatus)`
    `boolean` | `equals(Object o)`
    `ApiCommissionState` | `getCommissionState()` Readonly.
    `ApiConfigList` | `getConfig()` The role configuration.
    `Boolean` | `getConfigStale()` Readonly.
    `ApiConfigStalenessStatus` | `getConfigStalenessStatus()` Readonly.
    `ApiEntityStatus` | `getEntityStatus()` Readonly.
    `HaStatus` | `getHaStatus()` Readonly.
    `List<ApiHealthCheck>` | `getHealthChecks()` Readonly.
    `ApiHealthSummary` | `getHealthSummary()` Readonly.
    `ApiHostRef` | `getHostRef()` A reference to the host where this role runs.
    `Boolean` | `getMaintenanceMode()` Readonly.
    `List<ApiEntityType>` | `getMaintenanceOwners()` Readonly.
    `String` | `getName()` The name of the role.
    `ApiRoleConfigGroupRef` | `getRoleConfigGroupRef()` Readonly.
    `ApiRoleState` | `getRoleState()` Readonly.
    `String` | `getRoleUrl()` Readonly.
    `ApiServiceRef` | `getServiceRef()` Readonly.
    `List<ApiEntityTag>` | `getTags()` Tags associated with the role.
    `String` | `getType()` The type of the role, e.g.
    `ZooKeeperServerMode` | `getZooKeeperServerMode()` Readonly.
    `int` | `hashCode()`
    `ApiRole` | `haStatus(HaStatus haStatus)`
    `ApiRole` | `healthChecks(List<ApiHealthCheck> healthChecks)`
    `ApiRole` | `healthSummary(ApiHealthSummary healthSummary)`
    `ApiRole` | `hostRef(ApiHostRef hostRef)`
    `ApiRole` | `maintenanceMode(Boolean maintenanceMode)`
    `ApiRole` | `maintenanceOwners(List<ApiEntityType> maintenanceOwners)`
    `ApiRole` | `name(String name)`
    `ApiRole` | `roleConfigGroupRef(ApiRoleConfigGroupRef roleConfigGroupRef)`
    `ApiRole` | `roleState(ApiRoleState roleState)`
    `ApiRole` | `roleUrl(String roleUrl)`
    `ApiRole` | `serviceRef(ApiServiceRef serviceRef)`
    `void` | `setCommissionState(ApiCommissionState commissionState)`
    `void` | `setConfig(ApiConfigList config)`
    `void` | `setConfigStale(Boolean configStale)`
    `void` | `setConfigStalenessStatus(ApiConfigStalenessStatus configStalenessStatus)`
    `void` | `setEntityStatus(ApiEntityStatus entityStatus)`
    `void` | `setHaStatus(HaStatus haStatus)`
    `void` | `setHealthChecks(List<ApiHealthCheck> healthChecks)`
    `void` | `setHealthSummary(ApiHealthSummary healthSummary)`
    `void` | `setHostRef(ApiHostRef hostRef)`
    `void` | `setMaintenanceMode(Boolean maintenanceMode)`
    `void` | `setMaintenanceOwners(List<ApiEntityType> maintenanceOwners)`
    `void` | `setName(String name)`
    `void` | `setRoleConfigGroupRef(ApiRoleConfigGroupRef roleConfigGroupRef)`
    `void` | `setRoleState(ApiRoleState roleState)`
    `void` | `setRoleUrl(String roleUrl)`
    `void` | `setServiceRef(ApiServiceRef serviceRef)`
    `void` | `setTags(List<ApiEntityTag> tags)`
    `void` | `setType(String type)`
    `void` | `setZooKeeperServerMode(ZooKeeperServerMode zooKeeperServerMode)`
    `ApiRole` | `tags(List<ApiEntityTag> tags)`
    `String` | `toString()`
    `ApiRole` | `type(String type)`
    `ApiRole` | `zooKeeperServerMode(ZooKeeperServerMode zooKeeperServerMode)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiRole

          public ApiRole()

  - ### Method Detail

    - #### name

          public ApiRole name(String name)

    - #### getName

          public String getName()

      The name of the role. Optional when creating a role since API v6. If not specified, a name will be automatically generated for the role.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### type

          public ApiRole type(String type)

    - #### getType

          public String getType()

      The type of the role, e.g. NAMENODE, DATANODE, TASKTRACKER.
      Returns:
        type

    - #### setType

          public void setType(String type)

    - #### hostRef

          public ApiRole hostRef(ApiHostRef hostRef)

    - #### getHostRef

          public ApiHostRef getHostRef()

      A reference to the host where this role runs.
      Returns:
        hostRef

    - #### setHostRef

          public void setHostRef(ApiHostRef hostRef)

    - #### serviceRef

          public ApiRole serviceRef(ApiServiceRef serviceRef)

    - #### getServiceRef

          public ApiServiceRef getServiceRef()

      Readonly. A reference to the parent service.
      Returns:
        serviceRef

    - #### setServiceRef

          public void setServiceRef(ApiServiceRef serviceRef)

    - #### roleState

          public ApiRole roleState(ApiRoleState roleState)

    - #### getRoleState

          public ApiRoleState getRoleState()

      Readonly. The configured run state of this role. Whether it's running, etc.
      Returns:
        roleState

    - #### setRoleState

          public void setRoleState(ApiRoleState roleState)

    - #### commissionState

          public ApiRole commissionState(ApiCommissionState commissionState)

    - #### getCommissionState

          public ApiCommissionState getCommissionState()

      Readonly. The commission state of this role. Available since API v2.
      Returns:
        commissionState

    - #### setCommissionState

          public void setCommissionState(ApiCommissionState commissionState)

    - #### healthSummary

          public ApiRole healthSummary(ApiHealthSummary healthSummary)

    - #### getHealthSummary

          public ApiHealthSummary getHealthSummary()

      Readonly. The high-level health status of this role.
      Returns:
        healthSummary

    - #### setHealthSummary

          public void setHealthSummary(ApiHealthSummary healthSummary)

    - #### configStale

          public ApiRole configStale(Boolean configStale)

    - #### getConfigStale

          public Boolean getConfigStale()

      Readonly. Expresses whether the role configuration is stale.
      Returns:
        configStale

    - #### setConfigStale

          public void setConfigStale(Boolean configStale)

    - #### configStalenessStatus

          public ApiRole configStalenessStatus(ApiConfigStalenessStatus configStalenessStatus)

    - #### getConfigStalenessStatus

          public ApiConfigStalenessStatus getConfigStalenessStatus()

      Readonly. Expresses the role's configuration staleness status. Available since API v6.
      Returns:
        configStalenessStatus

    - #### setConfigStalenessStatus

          public void setConfigStalenessStatus(ApiConfigStalenessStatus configStalenessStatus)

    - #### healthChecks

          public ApiRole healthChecks(List<ApiHealthCheck> healthChecks)

    - #### addHealthChecksItem

          public ApiRole addHealthChecksItem(ApiHealthCheck healthChecksItem)

    - #### getHealthChecks

          public List<ApiHealthCheck> getHealthChecks()

      Readonly. The list of health checks of this service.
      Returns:
        healthChecks

    - #### setHealthChecks

          public void setHealthChecks(List<ApiHealthCheck> healthChecks)

    - #### haStatus

          public ApiRole haStatus(HaStatus haStatus)

    - #### getHaStatus

          public HaStatus getHaStatus()

      Readonly. The HA status of this role.
      Returns:
        haStatus

    - #### setHaStatus

          public void setHaStatus(HaStatus haStatus)

    - #### roleUrl

          public ApiRole roleUrl(String roleUrl)

    - #### getRoleUrl

          public String getRoleUrl()

      Readonly. Link into the Cloudera Manager web UI for this specific role.
      Returns:
        roleUrl

    - #### setRoleUrl

          public void setRoleUrl(String roleUrl)

    - #### maintenanceMode

          public ApiRole maintenanceMode(Boolean maintenanceMode)

    - #### getMaintenanceMode

          public Boolean getMaintenanceMode()

      Readonly. Whether the role is in maintenance mode. Available since API v2.
      Returns:
        maintenanceMode

    - #### setMaintenanceMode

          public void setMaintenanceMode(Boolean maintenanceMode)

    - #### maintenanceOwners

          public ApiRole maintenanceOwners(List<ApiEntityType> maintenanceOwners)

    - #### addMaintenanceOwnersItem

          public ApiRole addMaintenanceOwnersItem(ApiEntityType maintenanceOwnersItem)

    - #### getMaintenanceOwners

          public List<ApiEntityType> getMaintenanceOwners()

      Readonly. The list of objects that trigger this role to be in maintenance mode. Available since API v2.
      Returns:
        maintenanceOwners

    - #### setMaintenanceOwners

          public void setMaintenanceOwners(List<ApiEntityType> maintenanceOwners)

    - #### config

          public ApiRole config(ApiConfigList config)

    - #### getConfig

          public ApiConfigList getConfig()

      The role configuration. Optional.
      Returns:
        config

    - #### setConfig

          public void setConfig(ApiConfigList config)

    - #### roleConfigGroupRef

          public ApiRole roleConfigGroupRef(ApiRoleConfigGroupRef roleConfigGroupRef)

    - #### getRoleConfigGroupRef

          public ApiRoleConfigGroupRef getRoleConfigGroupRef()

      Readonly. The reference to the role configuration group of this role. Available since API v3.
      Returns:
        roleConfigGroupRef

    - #### setRoleConfigGroupRef

          public void setRoleConfigGroupRef(ApiRoleConfigGroupRef roleConfigGroupRef)

    - #### zooKeeperServerMode

          public ApiRole zooKeeperServerMode(ZooKeeperServerMode zooKeeperServerMode)

    - #### getZooKeeperServerMode

          public ZooKeeperServerMode getZooKeeperServerMode()

      Readonly. The ZooKeeper server mode for this role. Note that for non-ZooKeeper Server roles this will be null. Available since API v6.
      Returns:
        zooKeeperServerMode

    - #### setZooKeeperServerMode

          public void setZooKeeperServerMode(ZooKeeperServerMode zooKeeperServerMode)

    - #### entityStatus

          public ApiRole entityStatus(ApiEntityStatus entityStatus)

    - #### getEntityStatus

          public ApiEntityStatus getEntityStatus()

      Readonly. The entity status for this role. Available since API v11.
      Returns:
        entityStatus

    - #### setEntityStatus

          public void setEntityStatus(ApiEntityStatus entityStatus)

    - #### tags

          public ApiRole tags(List<ApiEntityTag> tags)

    - #### addTagsItem

          public ApiRole addTagsItem(ApiEntityTag tagsItem)

    - #### getTags

          public List<ApiEntityTag> getTags()

      Tags associated with the role. Available since V41.
      Returns:
        tags

    - #### setTags

          public void setTags(List<ApiEntityTag> tags)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.